omc:
  systemManagement:
    display: "System Management"
    mml:
      - operation: "dsp"
        object: "sysInfo"
        display: "Display NE System Information"
        params:
          - name: "neType"
            alias: ""
            type: "string"
            optional: "false"
            apostr: "false"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: ""
            type: "string"
            optional: "false"
            filter: ""
            display: "NE ID"
            comment: ""
      - operation: "dsp"
        object: "licenseInfo"
        display: "Display NE License Information"
        params:
          - name: "neType"
            alias: ""
            type: "string"
            optional: "false"
            apostr: "false"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: ""
            type: "string"
            optional: "false"
            filter: ""
            display: "NE ID"
            comment: ""                                      
  neManagement:
    display: "Network Element Management"
    mml:
      - operation: "lst"
        object: "neInfo"
        display: "List NE Information"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: "ne_id"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "rmUID"
            alias: "rm_uid"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Resource Management UID"
            comment: ""  
      - operation: "lst"
        object: "meMap"
        display: "List Managed Element Map"
        params:
          - name: "rmUID"
            alias: "rm_uid"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Resource Management UID"
            comment: ""                 
      - operation: "add"
        object: "neInfo"
        display: "Add Network Element"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "rmUID"
            alias: "rm_uid"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Resource Management UID"
            comment: "" 
          - name: "ip"
            alias: "ip"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "IP Address"
            comment: ""             
          - name: "port"
            alias: "port"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Port"
            comment: ""           
          - name: "neName"
            alias: "ne_name"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE name"
            comment: "" 
          - name: "pvFlag"
            alias: "pv_flag"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Phisical/Virtual flag"
            comment: ""                                    
      - operation: "mod"
        object: "neInfo"
        display: "Modify Network Element"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""            
          - name: "rmUID"
            alias: "rm_uid"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Resource Management UID"
            comment: "" 
          - name: "ip"
            alias: "ip"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "IP Address"
            comment: ""             
          - name: "port"
            alias: "port"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Port"
            comment: ""           
          - name: "neName"
            alias: "ne_name"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE name"
            comment: "" 
          - name: "pvFlag"
            alias: "pv_flag"
            type: "string"
            optional: "true"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Phisical/Virtual flag"
            comment: ""                   
      - operation: "del"
        object: "neInfo"
        display: "Delete Network Element"
        params:
          - name: "neType"
            alias: "ne_type"          
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: "ne_id"          
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: ""  
          - name: "neId"
            alias: "ne_id"          
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE ID"
            comment: ""              
  faultManagement:
    display: "Fault Management"
    mml:
      - operation: "dsp"
        object: "alarms"
        display: "Display Alarms Information"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE UID"
            comment: ""            
          - name: "neName"
            alias: "ne_name"
            type: "int"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "NE name"
            comment: ""
          - name: "alarmCode"
            type: "int"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Alarm Code"
            comment: ""
          - name: "origSeverity"
            type: "enum"
            optional: "false"
            apostr: "true"
            filter: '{"Critical","Major","Minor","Warning","Event"}'
            display: "Original Severity"
            comment: ""
          - name: "pvFlag"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "PV Flag"
            comment: ""                   
          - name: "startTime"
            alias: "event_time>="
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Alarm Event Start Time"
            comment: ""                       
          - name: "endTime"
            alias: "event_time<"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Alarm Event End Time"
            comment: ""    
          - name: "alarmType"
            alias: "alarm_type"
            type: "enum"
            optional: "false"
            apostr: "true"
            filter: '{"CommunicationAlarm","EquipmentAlarm","ProcessingFailure","EnvironmentalAlarm","QualityOfServiceAlarm"}'
            display: "Alarm Type"
            comment: ""
          - name: "alarmStatus"
            alias: "alarm_status"
            type: "int"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Alarm Status"
            comment: ""
  pmTaskManagement:
    display: "Performance Measure Task Management"
    mml:
      - operation: "lst"
        object: "measureTask"
        display: "List Performance Measure Task"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "granulOption"
            alias: "granul_option"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "Time Granularity"
            comment: ""                               
      - operation: "add"
        object: "measureTask"
        display: "Add Performance Measure Task"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neIds"
            alias: "ne_ids"
            type: "array"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "NE ID Set"
            comment: ""            
          - name: "kpiSet"
            alias: "kpi_set"
            type: "json"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "KPI Set"
            comment: "" 
          - name: "startTime"
            alias: "start_time"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure Task Start Time"
            comment: ""   
          - name: "endTime"
            alias: "end_time"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure Task End Time"
            comment: ""                                                
      - operation: "mod"
        object: "measureTask"
        display: "Modify Performance Measure Task"
        params:
          - name: "Id"
            alias: "id"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "true"
            filter: ""
            display: "NE Type"
            comment: ""        
          - name: "kpiSet"
            alias: "kpi_set"
            type: "json"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "KPI Set"
            comment: "" 
          - name: "startTime"
            alias: "start_time"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure Task Start Time"
            comment: ""   
          - name: "endTime"
            alias: "end_time"
            type: "string"
            optional: "false"
            apostr: "false"
            loc: "false"
            filter: ""
            display: "Measure Task End Time"
            comment: "" 
          - name: "granulOption"
            alias: "granul_option"
            type: "string"
            optional: "true"
            apostr: "true"
            loc: "false"
            filter: ""
            display: "Time Granularity"
            comment: ""
  pmDataManagement:
    display: "Performance Data Management"
    mml:
      - operation: "lst"
        object: "measureData"
        display: "List Performance Data"
        params:
          - name: "ID"
            alias: "id"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Task ID"
            comment: ""        
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "startTime"
            alias: "start_time>="
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Measure Period Start Time More Than"
            comment: ""                       
          - name: "endTime"
            alias: "start_time<"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Measure Period Start Time Less Than"
            comment: ""    
  logManagement:
    display: "Log Management"
    mml:
      - operation: "lst"
        object: "systemLog"
        display: "List System Log"
        params:
          - name: "processType"
            alias: "process_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Process Type"
            comment: ""        
          - name: "startTime"
            alias: "log_time>="
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time More Than"
            comment: ""                       
          - name: "endTime"
            alias: "log_time<"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time Less Than"
            comment: ""        
      - operation: "lst"
        object: "operationLog"
        display: "List Operation Log"
        params:
          - name: "accountID"
            alias: "account_name"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Account ID"
            comment: ""        
          - name: "startTime"
            alias: "log_time>="
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time More Than"
            comment: ""                       
          - name: "endTime"
            alias: "log_time<"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time Less Than"
            comment: ""    
      - operation: "lst"
        object: "securityLog"
        display: "List Security Log"
        params:
          - name: "accountID"
            alias: "account_name"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "Account ID"
            comment: ""        
          - name: "startTime"
            alias: "op_time>="
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time More Than"
            comment: ""                       
          - name: "endTime"
            alias: "op_time<"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time Less Than"
            comment: ""    
      - operation: "lst"
        object: "alarmLog"
        display: "List Alarm Log"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "true"
            apostr: "true"
            filter: ""
            display: "NE Type"
            comment: ""     
          - name: "startTime"
            alias: "op_time>="
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time More Than"
            comment: ""                       
          - name: "endTime"
            alias: "op_time<"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time Less Than"
            comment: ""
      - operation: "lst"
        object: "eventlog"
        display: "List NE Event Log"
        params:
          - name: "neType"
            alias: "ne_type"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE Type"
            comment: ""
          - name: "neId"
            alias: "ne_id"
            type: "string"
            optional: "false"
            apostr: "true"
            loc: "true"
            filter: ""
            display: "NE ID"
            comment: ""                     
          - name: "startTime"
            alias: "log_time>="
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time More Than"
            comment: ""                       
          - name: "endTime"
            alias: "log_time<"
            type: "string"
            optional: "false"
            apostr: "true"
            filter: ""
            display: "Log Time Less Than"
            comment: ""                        